Subject: RE: [manet] differences and similarities between MANETs and meshnetworks

From: "Giorgio Mulas" <[email-masked]>
Date: Thu, 10 Mar 2005 18:17:00 +0100

Ciao Claudio,
If you consider the network graph there is no difference between a MANET and a mesh (in a broad sense, i.e. partially or totally mesh) network: from an academic point of view (simulations, graph theory, etc.), they are the same thing.
Neverthless it is true that the term "mesh" now is almost always referred, but not necessarily, to (partially) infrastructure-based networks. 
MANETs, instead, have several peculiar characteristics (mobility, self-configuration, ...) that can overlap or not on the envisioned application for infrastructure-based networks and here it is the difference; but "Ad hoc", in my personal definition, means "dependent on the boundary conditions" and boundary conditions are the constraints set by the application, so there is no contraddiction on considering sometimes mesh networks and MANETs as interchangable terms.

	Giorgio

------------------------------------------
Giorgio Mulas | Consultant

CEFRIEL  Politecnico di Milano
Via Fucini, 2 · 20133 Milano (Italy)

p. +39 02 23954 265
f. +39 02 23954 465
e. [email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Claudio Lavecchia
> Sent: giovedì 10 marzo 2005 16.02
> To: [email-masked]
> Subject: [manet] differences and similarities between MANETs 
> and meshnetworks
> 
> 
> Hello everybody,
> 
> I would like to open a short discussion on the theme: 
> "differences and 
> similarities between MANETs and mesh networks".
> A lot of literature exists on MANETs and mesh networks (for 
> definitions 
> you could for example refer to 
> http://www.ietf.org/internet-drafts/draft-ruffino-conn-scenari
> os-00.txt). 
> Those two very popular paradigms share a lot of common aspects. In 
> detail, the aspect that tends to link those two paradigms is their 
> self-organizing nature.
> For a network, being self-organizing essentially means being able to 
> react to some particular situations such as, for example, changes in 
> topology, without any administrator intervention.
> IMHO the self-organizing nature of both MANETs and mesh 
> networks, hides 
> some important differences, tough, that I will try to detail in the 
> following.
> What makes MANETs very different from other networking 
> paradigms is the 
> lack of infrastructure and the high mobility of network nodes (which 
> involves limited node power). From a MANET perspective, 
> self-organization is essential to enforce routes persistence 
> over time. 
> In other words, self-organization makes MANETs self-healing 
> with respect 
> to link breakdowns caused by nodes mobility.
> On the other hand, in the mesh networks paradigm or at least 
> in one of 
> its declinations, infrastructure exixts: mesh routers are wireless 
> routers that are fixed. In a similar network architecture, 
> self-organization is leveraged to achieve completely different goals 
> which are congestion tolerance and mitigation of near-far 
> problem. *Congestion tolerance:* Self-organization should 
> make a mesh network 
> capable to avoid the use of congested nodes to route the 
> traffic within 
> the network.
> *Mitigation of near-far problem: *When intermediate and 
> redundant mesh 
> routers are added in a mesh network architecture, physical distances 
> decrease, and the transfer bitrate between two nodes 
> increases. Using a 
> path which is longer in terms of number of hops might lead to have a 
> smaller Round Trip Time.
> 
> Now what is confusing to me is that in literature, mesh networks are 
> often treated as a sub-case of MANETs to the point that often 
> the same 
> routing algos are proposed for the two paradigms. It seems 
> pretty clear 
> to me that the routing algos for those two paradigms should rely on 
> different metrics. I would like to have opinions on this topic and I 
> would like as well to have references (both research and 
> technological 
> such as company sites) to existing  routing  protocols  and 
> solutions  
> especially tailored for mesh networking.
> 
> Thanks a lot
> 
> Claudio
> 
> 
> 
> 
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet
> 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet